it.csi.mddtools.guigen

## Enum LogoutActionTypes

- java.lang.Object
- - java.lang.Enum<LogoutActionTypes>
  - - it.csi.mddtools.guigen.LogoutActionTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LogoutActionTypes>, org.eclipse.emf.common.util.Enumerator

      public enum LogoutActionTypes
      extends java.lang.Enum<LogoutActionTypes>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Logout Action Types', and utility methods for working with them.
  See Also:
    `GuigenPackage.getLogoutActionTypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL_LOGOUT` The 'LOCAL LOGOUT' literal object
    `SSO_LOGOUT` The 'SSO LOGOUT' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LOCAL_LOGOUT_VALUE` The 'LOCAL LOGOUT' literal value
    `static int` | `SSO_LOGOUT_VALUE` The 'SSO LOGOUT' literal value
    `static java.util.List<LogoutActionTypes>` | `VALUES` A public read-only list of all the 'Logout Action Types' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogoutActionTypes` | `get(int value)` Returns the 'Logout Action Types' literal with the specified integer value
    `static LogoutActionTypes` | `get(java.lang.String literal)` Returns the 'Logout Action Types' literal with the specified literal value
    `static LogoutActionTypes` | `getByName(java.lang.String name)` Returns the 'Logout Action Types' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static LogoutActionTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LogoutActionTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL_LOGOUT

          public static final LogoutActionTypes LOCAL_LOGOUT

      The 'LOCAL LOGOUT' literal object.
      See Also:
        `LOCAL_LOGOUT_VALUE`

    - #### SSO_LOGOUT

          public static final LogoutActionTypes SSO_LOGOUT

      The 'SSO LOGOUT' literal object.
      See Also:
        `SSO_LOGOUT_VALUE`

  - ### Field Detail

    - #### LOCAL_LOGOUT_VALUE

          public static final int LOCAL_LOGOUT_VALUE

      The 'LOCAL LOGOUT' literal value.

      If the meaning of 'LOCAL LOGOUT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `LOCAL_LOGOUT`, Constant Field Values

    - #### SSO_LOGOUT_VALUE

          public static final int SSO_LOGOUT_VALUE

      The 'SSO LOGOUT' literal value.

      If the meaning of 'SSO LOGOUT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `SSO_LOGOUT`, Constant Field Values

    - #### VALUES

          public static final java.util.List<LogoutActionTypes> VALUES

      A public read-only list of all the 'Logout Action Types' enumerators.

  - ### Method Detail

    - #### values

          public static LogoutActionTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogoutActionTypes c : LogoutActionTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogoutActionTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static LogoutActionTypes get(java.lang.String literal)

      Returns the 'Logout Action Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static LogoutActionTypes getByName(java.lang.String name)

      Returns the 'Logout Action Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static LogoutActionTypes get(int value)

      Returns the 'Logout Action Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<LogoutActionTypes>`